> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nomi.tools/llms.txt
> Use this file to discover all available pages before exploring further.

# Get category by ID

> Retrieve a specific nomenclature category by its ID.



## OpenAPI

````yaml get /v1/nomenclature/categories/{id}
openapi: 3.0.0
info:
  title: Nomenclature API
  version: 1.0.0
servers:
  - url: https://api.nomi.tools
    description: Main API server
security:
  - basicAuth: []
paths:
  /v1/nomenclature/categories/{id}:
    get:
      tags:
        - Nomenclature / Categories
      summary: Get category by ID
      description: Retrieve a specific nomenclature category by its ID.
      operationId: getCategoryById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: includeArchived
          in: query
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: Category details
          content:
            application/json:
              schema:
                type: object
                properties:
                  category:
                    $ref: '#/components/schemas/NomenclatureCategoryPayload'
components:
  schemas:
    NomenclatureCategoryPayload:
      type: object
      required:
        - name
      properties:
        id:
          type: string
          nullable: true
        name:
          type: string
        parentId:
          type: string
          nullable: true
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        Use HTTP Basic Authentication.  Provide your email as login and PPT
        token as the password.

````